const mongoose = require('mongoose');
var Schema = mongoose.Schema;

var validateEmail = function(email) {
    var re = /^\S+\@\S+\.\S+$/;
    return re.test(email)
};

var meanSchema = new Schema({
    userName: {type: String,
        index: true,
        required: true,
        unique: true,
        lowercase: true,
        validate: [validateEmail, 'Please fill a valid email address'],
        match: [/^\S+\@\S+\.\S+$/, 'Please fill a valid email address'],
        maxlength: 50},
    password: {type: String,
        required: true},
    firstName:{type: String,
        maxlength:50},
    lastName:{type: String,
        maxlength:50},
    state:{type: String,
        maxlength:52},
    interests:{type: String,
        maxlength:2000
    },
    profileImage:{type: Buffer
    }
}, {collection: 'profiles'});

exports.meanSchema = meanSchema;
